Sidef::Types::Number::Fraction(3)

NAME
Sidef::Types::Number::Fraction

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Fraction(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Number::Number

METHODS

  !=
    a != b

Returns the

Aliases: ne

  %
    a % b

Returns the

Aliases: mod

  &
    a & b

Returns the

Aliases: and

  *
    a * b

Returns the

Aliases: mul

  **
    a ** b

Returns the

Aliases: pow

  +
    a + b

Returns the

Aliases: add

  ++
    a ++ b

Returns the

Aliases: inc

  -
    a - b

Returns the

Aliases: sub

  --
    a -- b

Returns the

Aliases: dec

  /
    a / b

Returns the

Aliases: ÷, div

  <
    a < b

Returns the

Aliases: lt

  <<
    a << b

Returns the

Aliases: lsft

  <=>
    a <=> b

Returns the

Aliases: cmp

  ==
    a == b

Returns the

Aliases: eq

  >
    a > b

Returns the

Aliases: gt

  >>
    a >> b

Returns the

Aliases: rsft

  ^
    a ^ b

Returns the

Aliases: xor

  |
    a | b

Returns the

Aliases: or

  ≤
    a ≤ b

Returns the

Aliases: <=, le

  ≥
    a ≥ b

Returns the

Aliases: >=, ge

  ceil
    Fraction.ceil()

Returns the

  de
    Fraction.de()

Returns the

Aliases: denominator

  eval
    Fraction.eval()

Returns the

  floor
    Fraction.floor()

Returns the

  is_mone
    Fraction.is_mone()

Returns the

  is_one
    Fraction.is_one()

Returns the

  is_zero
    Fraction.is_zero()

Returns the

  neg
    Fraction.neg()

Returns the

  new
    Fraction.new()

Returns the

Aliases: call

  nu
    Fraction.nu()

Returns the

Aliases: numerator

  nude
    Fraction.nude()

Returns the

  round
    Fraction.round()

Returns the

  to_n
    Fraction.to_n()

Returns the

Aliases: lift

  to_s
    Fraction.to_s()

Returns the

Aliases: dump

  trunc
    Fraction.trunc()

Returns the